failed to open //var/lib/rpm/packages.rpm

failed to open //var/lib/rpm/packages.rpm

Post by Rod Bric » Tue, 08 Jun 1999 04:00:00



I've installed an older verion, 2.5.1, and I'm getting this error.  I've
got this version installed on another machine, and it works fine.  Yes,
I am logged in as root when I get this, and yes, I have /usr/lib/rpmopt
and /usr/lib/rpmrc.  What else am I missing?  I've seen numerous posts
on dejanews concerning this, but nothing that has helped me solve it.

Any help would be much appreciated.

 
 
 

failed to open //var/lib/rpm/packages.rpm

Post by Alan Cur » Thu, 10 Jun 1999 04:00:00




Quote:>I've installed an older verion, 2.5.1, and I'm getting this error.  I've
>got this version installed on another machine, and it works fine.  Yes,
>I am logged in as root when I get this, and yes, I have /usr/lib/rpmopt
>and /usr/lib/rpmrc.  What else am I missing?  I've seen numerous posts
>on dejanews concerning this, but nothing that has helped me solve it.

Find out *why* it can't open packages.rpm by running
strace rpm -U whatever-you-were-trying-to-do
--
Alan Curry    |Declaration of   | _../\. ./\.._     ____.    ____.

--------------+save some time): |  \__/   \__/     \___:    \___:
 Linux,vim,trn,GPL,zsh,qmail,^H | "Screw you guys, I'm going home" -- Cartman

 
 
 

failed to open //var/lib/rpm/packages.rpm

Post by Robert Lync » Thu, 10 Jun 1999 04:00:00





> >I've installed an older verion, 2.5.1, and I'm getting this error.  I've
> >got this version installed on another machine, and it works fine.  Yes,
> >I am logged in as root when I get this, and yes, I have /usr/lib/rpmopt
> >and /usr/lib/rpmrc.  What else am I missing?  I've seen numerous posts
> >on dejanews concerning this, but nothing that has helped me solve it.

> Find out *why* it can't open packages.rpm by running
> strace rpm -U whatever-you-were-trying-to-do
> --
> Alan Curry    |Declaration of   | _../\. ./\.._     ____.    ____.

> --------------+save some time): |  \__/   \__/     \___:    \___:
>  Linux,vim,trn,GPL,zsh,qmail,^H | "Screw you guys, I'm going home" -- Cartman

I just got this message and "fixed" it by running (as root):

rpm --rebuilddb

FWIW.

Bob L.
--

http://www.veryComputer.com/~rm*/

 
 
 

failed to open //var/lib/rpm/packages.rpm

Post by Glitc » Wed, 16 Jun 1999 04:00:00






> > >I've installed an older verion, 2.5.1, and I'm getting this error.  I've
> > >got this version installed on another machine, and it works fine.  Yes,
> > >I am logged in as root when I get this, and yes, I have /usr/lib/rpmopt
> > >and /usr/lib/rpmrc.  What else am I missing?  I've seen numerous posts
> > >on dejanews concerning this, but nothing that has helped me solve it.

> > Find out *why* it can't open packages.rpm by running
> > strace rpm -U whatever-you-were-trying-to-do
> > --
> > Alan Curry    |Declaration of   | _../\. ./\.._     ____.    ____.

> > --------------+save some time): |  \__/   \__/     \___:    \___:
> >  Linux,vim,trn,GPL,zsh,qmail,^H | "Screw you guys, I'm going home" -- Cartman

> I just got this message and "fixed" it by running (as root):

> rpm --rebuilddb

> FWIW.

i had that error, did the rebuild command and still rpm didnt work.
It's been a while sinec I tried it so i cant say what error i got after
i did the rebuild command but nevertheless rpm has never worked for me.

Brandon

 
 
 

1. Problem with Gnome RPM - Failed to open /var/lib/rpm/packages.rpm

I'm new to Linux and have just installed Redhat 6.1.  I'm using the
Gnome RPM manager and it works great for rpm packages that came on the
6.1 CD, but when I try to load some packages that I've downloaded I
get the Error " Failed to open /var/lib/rpm/packages.rpm"  Am I doing
something wrong, or is there something I need to set?  Any help would
be appreciated.  Thanks

Oh, and one more less important item.  I installed 6.1 with Gnome, How
do I switch to KDE to try it out?  Do I have to re-install?

Dave Hyman

Dave Hyman

2. Anonymous config for wu-ftp -> /etc/passwd

3. RPM: cannot open //var/lib/rpm/packages.rpm

4. LibXpm for ELF

5. RedHat 3.0.3 Installation - FAILED TO OPEN "/mnt/var/lib/rpm/packages.rpm"

6. Communicator v4.04-05. characters get mangled

7. cannot open //var/lib/rpm/packages.rpm

8. POP3 and telnet error

9. RPM Crashes with "//var/lib/rpm/packages.rpm not found"

10. RPM for Uwin - cannot open file //var/lib/rpm/nameindex.rpm

11. RPM corrupted, rpm --rebuilddb fails and there is data in the /var/lib/rpm directory

12. /var/lib/rpm/packages.rpm